package vo

// CmbFuncName . 招行接口名称
type CmbFuncName string

const (
	// CmbNotifyFuncName . 券状态回调通知方法
	CmbNotifyFuncName                         CmbFuncName = "updateCodeStatus.json"
	CmbNotifyFuncNameUpdateCodeStatusForMulti CmbFuncName = "updateCodeStatusForMulti.json"
)

func (s CmbFuncName) GetValue() string {
	return string(s)
}

// CmbStatus . 券通知状态
type CmbStatus string

const (
	CmbStatusSuccess CmbStatus = "0" // 券可用
	CmbStatusUse     CmbStatus = "1" // 券使用
	//CmbStatusExpired CmbStatus = "2" // 券过期-待确认是否通知
	CmbStatusExpired CmbStatus = "0" // 券过期-等于券没有使用
)

func (s CmbStatus) GetValue() string {
	return string(s)
}

// CmbResponseStatus . 响应状态
type CmbResponseStatus string

const (
	CmbResponseStatusSuccess CmbResponseStatus = "1000" // 响应成功
	CmbResponseStatusFail    CmbResponseStatus = "1001" // 响应失败
)

func (s CmbResponseStatus) GetValue() string {
	return string(s)
}

// CmbAvailableType . 有效期形式，0：固定有效期，1：动态有效期
type CmbAvailableType string

const (
	CmbAvailableTypeFixed   CmbAvailableType = "0" // 固定有效期
	CmbAvailableTypeDynamic CmbAvailableType = "1" // 动态有效期
)

func (s CmbAvailableType) GetValue() string {
	return string(s)
}
